# Generated from heroku-2.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name heroku
%global rubyabi 1.9.1

Summary: Client library and CLI to deploy Rails apps on Heroku
Name: rubygem-%{gem_name}
Version: 2.24.0
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: http://heroku.com/
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: rubygem(launchy) >= 0.3.2
Requires: rubygem(rest-client) >= 1.4.0
Requires: rubygem(rest-client) < 1.7.0
Requires: rubygem(netrc)
Requires: rubygem(rubyzip)
BuildRequires: rubygems-devel
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(launchy) >= 0.3.2
BuildRequires: rubygem(rest-client) >= 1.4.0
BuildRequires: rubygem(rest-client) < 1.7.0
BuildRequires: rubygem(netrc)
BuildRequires: rubygem(rr)
BuildRequires: rubygem(fakefs)
BuildRequires: rubygem(webmock)
BuildRequires: git
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}
# OkJson is allowed to be bundled:
# https://fedorahosted.org/fpc/ticket/113
Provides: bundled(okjson) = 20110401

%description
Client library and command-line tool to manage and deploy Rails apps on
Heroku.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}

# Ignore SimpleCov which is not in Fedora nor needed.
sed -i '5,9d' spec/spec_helper.rb

# Ignore failures, due to rubygem-taps missing in Fedora.
sed -i '11,25 s|^|#|' spec/heroku/command/db_spec.rb
sed -i '54,76 s|^|#|' spec/heroku/command/db_spec.rb

# https://github.com/heroku/heroku/issues/281
sed -i '36,43 s|^|#|' spec/heroku/plugin_spec.rb

# https://github.com/heroku/heroku/issues/280
sed -i '44,61 s|^|#|' spec/heroku/command/base_spec.rb

rspec -Ilib spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/heroku
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/data
%doc %{gem_instdir}/README.md

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 10 2012 Vít Ondruch <vondruch@redhat.com> - 2.24.0-2
- Fix dependencies.

* Fri Apr 06 2012 Vít Ondruch <vondruch@redhat.com> - 2.24.0-1
- Updated to heroku 2.24.0.

* Wed Apr 04 2012 Vít Ondruch <vondruch@redhat.com> - 2.23.0-1
- Updated to heroku 2.23.0.

* Thu Feb 14 2012 Vít Ondruch <vondruch@redhat.com> - 2.21.2-1
- Rebuilt for Ruby 1.9.3.
- Updated to heroku 2.21.2.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun May 01 2011  <Minnikhanov@gmail.com> - 2.0.4-1
- Updated heroku to latest upstream release (v.2.0.4 2011-04-28)

* Sat Apr 23 2011  <Minnikhanov@gmail.com> - 1.20.1-2
- Don't use "launchy" gem ver. >=0.4 (upstream run dependence limit)

* Sun Apr 10 2011  <Minnikhanov@gmail.com> - 1.20.1-1
- Updated heroku to latest upstream release (v.1.20.1 2011-04-07)

* Tue Feb 22 2011  <Minnikhanov@gmail.com> - 1.17.16-1
- Updated heroku to latest upstream release (v.1.17.16 2011-02-18)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011  <Minnikhanov@gmail.com> - 1.17.10-1
- Updated heroku to latest upstream release (v.1.17.10 2011-01-21)

* Thu Jan 13 2011  <Minnikhanov@gmail.com> - 1.17.5-1
- Updated heroku to latest upstream release

* Fri Jan 07 2011  <Minnikhanov@gmail.com> - 1.16.2-1
- Updated heroku to latest upstream release

* Fri Dec 24 2010  <Minnikhanov@gmail.com> - 1.15.1-1
- Updated heroku to latest upstream release

* Thu Dec 23 2010  <Minnikhanov@gmail.com> - 1.15.0-2
- Fix Comment 29 #661436 (Review Request)

* Tue Dec 21 2010  <Minnikhanov@gmail.com> - 1.15.0-1
- Updated heroku to latest upstream release

* Tue Dec 21 2010  <Minnikhanov@gmail.com> - 1.14.10-3
- Fix Comment 23 #661436 (Review Request)
- Remove '/.yardoc'.

* Sat Dec 18 2010  <Minnikhanov@gmail.com> - 1.14.10-2
- Fix Comment 18 #661436 (Review Request)
- Set Release: 2

* Fri Dec 17 2010  <Minnikhanov@gmail.com> - 1.14.10-1
- Fix Comment 13 #661436 (Review Request)

* Thu Dec 16 2010  <Minnikhanov@gmail.com> - 1.14.10-1
- Initial package

* Wed Dec 15 2010  <Minnikhanov@gmail.com> - 1.14.9-1
- Updated heroku to latest upstream release

* Mon Dec 13 2010  <Minnikhanov@gmail.com> - 1.14.8-1
- Fix Comment 4 #661436 (Review Request)

* Wed Dec 08 2010  <Minnikhanov@gmail.com> - 1.14.8-1
- Initial package

